
/**
 * 登录js层
 */
(function($, owner) {
	/**
	 * 用户登录
	 */
	owner.login = function(loginInfo, callback) {
		callback = callback || $.noop;
		loginInfo = loginInfo || {};
		loginInfo.account = loginInfo.account.trim() || '';
		loginInfo.password = loginInfo.password.trim() || '';
//		loginInfo.valiCode = loginInfo.valiCode.trim() || '';
		if (loginInfo.account.length == 0) {
			return callback('请输入账号');
		}
		if (loginInfo.password.length < 0) {
			return callback('请输入密码');
		}
//		if (loginInfo.valiCode.length == 0) {
//			return callback('请输入验证码');
//		}
		$.ajax({
			url : api_path + '/loginApi/login',
			data : {
				name : loginInfo.account,
				psw : RSAEncrypt(loginInfo.password),
//				code : loginInfo.valiCode,
				type : 0
			},
			type : 'post',
			xhrFields: {withCredentials: true},
    		crossDomain: true,
			success : function(data) {
				var result = eval("(" + data + ")");
				if (result.code == 1) {
					// 跳转到指定页面
					var storage=window.localStorage;
					storage.setItem("dlm",loginInfo.account);
					storage.setItem("mm",loginInfo.password);
					window.location.href = "../grzx/grzx.html";
					
				} else {
					mui.alert(result.message, "提示", function() {
					}, 'div');
				}
			},
			error : function(e) {
				console.log(e);
			},
			beforeSend : function() {

			}
		});
	};

	owner.createState = function(name, callback) {
		var state = owner.getState();
		state.account = name;
		state.token = "token123456789";
		owner.setState(state);
		return callback();
	};

	/**
	 * 新用户注册
	 */
	owner.reg = function(regInfo, callback) {
		callback = callback || $.noop;
		regInfo = regInfo || {};
		regInfo.account = regInfo.account || '';
		regInfo.password = regInfo.password || '';
		if (regInfo.password.length < 6) {
			return callback('密码最短需要 6 个字符');
		}
		if (!checkEmail(regInfo.email)) {
			return callback('邮箱地址不合法');
		}
		$.ajax({
			url : path + '/reg/registerFirst',
			data : {
				name : loginInfo.account,
				psw : RSAEncrypt(loginInfo.password),
				code : loginInfo.valiCode,
				type : 0
			},
			type : 'post',
			success : function(data) {
				var result = eval("(" + data + ")");
				mui.alert(result.message, "提示", function() {
				}, 'div');
//				changeImg();
			},
			error : function(e) {
				console.log(e);
			},
			beforeSend : function() {

			}
		});
		return callback();
	};

	/**
	 * 获取当前状态
	 */
	owner.getState = function() {
		var stateText = localStorage.getItem('$state') || "{}";
		return JSON.parse(stateText);
	};

	/**
	 * 设置当前状态
	 */
	owner.setState = function(state) {
		state = state || {};
		localStorage.setItem('$state', JSON.stringify(state));
		// var settings = owner.getSettings();
		// settings.gestures = '';
		// owner.setSettings(settings);
	};

	var checkEmail = function(email) {
		email = email || '';
		return (email.length > 3 && email.indexOf('@') > -1);
	};

	/**
	 * 找回密码
	 */
	owner.forgetPassword = function(email, callback) {
		callback = callback || $.noop;
		if (!checkEmail(email)) {
			return callback('邮箱地址不合法');
		}
		return callback(null, '新的随机密码已经发送到您的邮箱，请查收邮件。');
	};

	/**
	 * 获取应用本地配置
	 */
	owner.setSettings = function(settings) {
		settings = settings || {};
		localStorage.setItem('$settings', JSON.stringify(settings));
	}

	/**
	 * 设置应用本地配置
	 */
	owner.getSettings = function() {
		var settingsText = localStorage.getItem('$settings') || "{}";
		return JSON.parse(settingsText);
	}
	/**
	 * 获取本地是否安装客户端
	 */
	owner.isInstalled = function(id) {
		if (id === 'qihoo' && mui.os.plus) {
			return true;
		}
		if (mui.os.android) {
			var main = plus.android.runtimeMainActivity();
			var packageManager = main.getPackageManager();
			var PackageManager = plus.android.importClass(packageManager)
			var packageName = {
				"qq" : "com.tencent.mobileqq",
				"weixin" : "com.tencent.mm",
				"sinaweibo" : "com.sina.weibo"
			}
			try {
				return packageManager.getPackageInfo(packageName[id],
						PackageManager.GET_ACTIVITIES);
			} catch (e) {
			}
		} else {
			switch (id) {
			case "qq":
				var TencentOAuth = plus.ios.import("TencentOAuth");
				return TencentOAuth.iphoneQQInstalled();
			case "weixin":
				var WXApi = plus.ios.import("WXApi");
				return WXApi.isWXAppInstalled()
			case "sinaweibo":
				var SinaAPI = plus.ios.import("WeiboSDK");
				return SinaAPI.isWeiboAppInstalled()
			default:
				break;
			}
		}
	}
}(mui, window.app = {}));

//// 点击刷新验证码
//function changeImg() {
//	var img = document.getElementById("img0");
//	img.src = api_path + "/applogin/initVerifyCode?date=" + new Date();
//}
//$(function(){
//	var img = document.getElementById("img0");
//	img.src=api_path+"/applogin/initVerifyCode?date=" + new Date();
//})
